Bug 199364 - emulators/virtualbox-ose: Fix for the KDE dialog problem
Summary: emulators/virtualbox-ose: Fix for the KDE dialog problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-04-11 05:21 UTC by Yuri Victorovich
Modified: 2016-05-10 05:31 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback-


Attachments
patch (1.36 KB, patch)
2015-04-11 05:21 UTC, Yuri Victorovich
no flags Details | Diff
Updated patch (972 bytes, patch)
2015-05-09 23:03 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-04-11 05:21:53 UTC
Created attachment 155448 [details]
patch

This fixes the long-standing problem that VirtualBox hangs on the file dialog in KDE.

See discussion here: https://lists.freebsd.org/pipermail/freebsd-security/2013-August/007120.html

This is fixed by setting environment variable KDE_FORK_SLAVES=1. This patch makes VBox to always do this, making user experience more comfortable.
Comment 1 Bernhard Froehlich freebsd_committer 2015-05-09 09:47:38 UTC
Why should USE_OPENSSL be needed for that?
Comment 2 Yuri Victorovich freebsd_committer 2015-05-09 10:01:13 UTC
Sorry, OPENSSL patch got mixed in by mistake from my local ports tree.

But otherwise, it is just missing.
Comment 3 Yuri Victorovich freebsd_committer 2015-05-09 23:03:48 UTC
Created attachment 156583 [details]
Updated patch

I updated the patch.

Please also add USE_OPENSSL=yes because VirtualBox does use openssl and doesn't declare this as a dependency.
Comment 4 Yuri Victorovich freebsd_committer 2015-06-14 06:52:50 UTC
Maintainer timeout.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-14 09:46:33 UTC
Maintainer timeout, open to take.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2015-07-01 18:24:44 UTC
Canonicalize assignment.
Comment 7 commit-hook freebsd_committer 2016-05-10 05:29:45 UTC
A commit references this bug:

Author: pi
Date: Tue May 10 05:29:13 UTC 2016
New revision: 414919
URL: https://svnweb.freebsd.org/changeset/ports/414919

Log:
  emulators/virtualbox-ose: fix VirtualBox hang on file dialog in KDE

  PR:		199364
  Submitted by:	yuri@rawbw.com
  Approved by:	maintainer timeout

Changes:
  head/emulators/virtualbox-ose/Makefile
  head/emulators/virtualbox-ose/files/patch-src-VBox-Installer-freebsd-VBox.sh
Comment 8 Kurt Jaeger freebsd_committer 2016-05-10 05:31:26 UTC
Committed, thanks, sorry for the delay!